cl.cromer.estructuras

## Interface Enlace

All Known Implementing Classes:
  EnlaceCircular, EnlaceNormal

    interface Enlace

Esta interfaz es para los 2 tipos de listaEnlace, `EnlaceNormal` y `EnlaceCircular`.

Author:
  Chris Cromer

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getLlave()` Devolver la llave.
`java.lang.Object` `getPrevio()` Devolver el listaEnlace previo.
`java.lang.Object` `getSiguiente()` Devolver el siguente listaEnlace.
`void` `setLlave(int llave)` Cambiar el valor de la llave.
`void` `setPrevio(java.lang.Object previo)` Cambiar el previo listaEnlace.
`void` `setSiguiente(java.lang.Object siguiente)` Cambiar el siguiente listaEnlace.

### Method Detail

#### getLlave

    int getLlave()

Devolver la llave.

Returns:
  int: La llave.

#### setLlave

    void setLlave(int llave)

Cambiar el valor de la llave.

Parameters:
  `llave` - int: El valor de la llave.

#### getSiguiente

    java.lang.Object getSiguiente()

Devolver el siguente listaEnlace.

Returns:
  Object: El listaEnlace a devolver.

#### setSiguiente

    void setSiguiente(java.lang.Object siguiente)

Cambiar el siguiente listaEnlace.

Parameters:
  `siguiente` - Object: El siguiente listaEnlace nuevo.

#### getPrevio

    java.lang.Object getPrevio()

Devolver el listaEnlace previo.

Returns:
  Object: El listaEnlace previo.

#### setPrevio

    void setPrevio(java.lang.Object previo)

Cambiar el previo listaEnlace.

Parameters:
  `previo` - Object: El listaEnlace previo nuevo.